Page MenuHomePhabricator

Velocity tracking in Phlogiston for VE/NWE seems off?
Closed, ResolvedPublic3 Story Points

Description

http://phlogiston.wmflabs.org/ve_report.html#tab9

This is meant to be tracking descendants of T141149. In the chart, it only sees two 2 points of tasks getting fixed (presumably T143917 and T143954), and doesn't seem to have noticed T142138 (40 points) which got closed on 12 August, and then retro-repointed. There's also T143920 which got closed today but will presumably be updated tomorrow.

Maybe I screwed up the dependencies so it's not tracked?

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 1 2016, 6:44 PM

This is either overlap or dupe (with different examples) of T144514: Phlogiston velocity charts are missing old data.

JAufrecht moved this task from Incoming to VE Team on the User-JAufrecht board.Sep 13 2016, 11:02 PM
JAufrecht triaged this task as Normal priority.Sep 14 2016, 7:18 PM
JAufrecht set the point value for this task to 3.Sep 16 2016, 11:30 PM
JAufrecht added a subscriber: JAufrecht.

Here's what Phlogiston sees today:

phlogiston=# select id, status, points from task_on_date_recategorized where category like 'NewWiki%' and date = '2016-09-20' o
rder by id;                                                                                                                    
   id   |   status   | points 
--------+------------+--------
 141068 | "open"     |      8
 141149 | "open"     |      8
 142138 | "resolved" |     40
 142642 | "resolved" |      8
 142643 | "open"     |      8
 142644 | "resolved" |      1
 142645 | "open"     |      8
 142646 | "resolved" |      1
 142854 | "resolved" |      1
 142861 | "open"     |      8
 143577 | "resolved" |      1
 143578 | "open"     |      1
 143582 | "resolved" |      1
 143917 | "resolved" |      1
 143920 | "resolved" |      1
 143954 | "resolved" |      1
 144323 | "open"     |      8
 144621 | "resolved" |      1
 144653 | "open"     |      1
 144654 | "open"     |     40
 145417 | "open"     |      8
(21 rows)

With the new Task Graph, it's possible to compare that directly to Phabricator. Results:

  1. All of the stories mentioned in the original Description of this bug appear to be correct in Phlogiston.
  1. I manually compared the two lists. They match except for:

2a) T141069 and T143709. I think they got caught by the External rule, which maybe should move down in the rules list since it's less specific. Probably by default all Parent rules should go first, then Column, then Intersection, then Project by Name or ID or Wildcard. (suggesting this as a tentative best practice for manually setting up the rules, not something to automate in Phlog).

2b) T144651 is a TR0 bug, so is in that category. Which is more useful, to see that in TR0 or here?

2c) T146182, just filed today.

So I think CNR?

Jdforrester-WMF closed this task as Resolved.Sep 21 2016, 12:25 AM

I think External should trump the tree, actually (because work done by others should be counted as such, not against the milestone it blocks).

OK, declaring this done.